Skip to content

Return typed audit trail for one readable board item.

GET
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/audit-trail
curl --request GET \
--url https://example.com/api/workspace/boards/example/items/example/audit-trail
  • None
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime board item audit row.

object
Id
string
nullable
BoardItemId
string
nullable
ActivityKind

Runtime board item audit activity kind.

integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10
ActorUserId
string
nullable
ActorUserName
string
nullable
OccurredAtUtc
string format: date-time
Created

Payload for board item creation audit entries.

object
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
PreviousBoardItemId
string
nullable
Subject
string
nullable
Description
string
nullable
Moved

Payload for board item movement and reopen audit entries.

object
BoardTransitionId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
FromRankKey
string
nullable
ToRankKey
string
nullable
IsReopen
boolean
IsTerminal
boolean
BoardDataChanged

Payload for board-owned data changes.

object
Subject

Text field before/after value in board item audit.

object
Before
string
nullable
After
string
nullable
Description

Text field before/after value in board item audit.

object
Before
string
nullable
After
string
nullable
Fields
Array<object>
nullable

Board data field before/after value in board item audit.

object
FieldId
string
nullable
Name
string
nullable
DisplayName
string
nullable
ValueType
string
nullable
Before
object
After
object
BeforeDisplay
object
AfterDisplay
object
TagsChanged

Payload for board process tag changes.

object
Added
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
Updated
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
Removed
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
ResponsibilitiesChanged

Payload for board item responsibility assignment changes.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
BeforeSubjects
Array<object>
nullable

Responsibility subject snapshot used by board item audit.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
AfterSubjects
Array<object>
nullable

Responsibility subject snapshot used by board item audit.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DueDateChanged

Payload for board item due-date changes.

object
BeforeDueAtUtc
string format: date-time
nullable
AfterDueAtUtc
string format: date-time
nullable
ItemLinkChanged

Payload for board item link create and close audit entries.

object
BoardItemLinkId
string
nullable
BoardItemLinkTypeId
string
nullable
LinkType
integer format: int32
Allowed values: 0 1
SourceBoardItemId
string
nullable
TargetBoardItemId
string
nullable
Direction
integer format: int32
Allowed values: 0 1
CycleAssigned

Payload for board item cycle assignment audit entries.

object
PreviousBoardCycleId
string
nullable
BoardCycleId
string
nullable
ChangeReason
string
nullable
BulkOperationId
string
nullable
Removed

Payload for board item removal audit entries.

object
BoardStatusId
string
nullable
BoardCycleId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
RemoveReason
string
nullable
RemovedBoardItemLinkIds
Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"ActivityKind": 0,
"ResponsibilitiesChanged": {
"ResponsibilityKind": 0,
"BeforeSubjects": [
{
"SubjectType": 0
}
],
"AfterSubjects": [
{
"SubjectType": 0
}
]
},
"ItemLinkChanged": {
"LinkType": 0,
"Direction": 0
}
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime board item audit row.

object
Id
string
nullable
BoardItemId
string
nullable
ActivityKind

Runtime board item audit activity kind.

integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10
ActorUserId
string
nullable
ActorUserName
string
nullable
OccurredAtUtc
string format: date-time
Created

Payload for board item creation audit entries.

object
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
PreviousBoardItemId
string
nullable
Subject
string
nullable
Description
string
nullable
Moved

Payload for board item movement and reopen audit entries.

object
BoardTransitionId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
FromRankKey
string
nullable
ToRankKey
string
nullable
IsReopen
boolean
IsTerminal
boolean
BoardDataChanged

Payload for board-owned data changes.

object
Subject

Text field before/after value in board item audit.

object
Before
string
nullable
After
string
nullable
Description

Text field before/after value in board item audit.

object
Before
string
nullable
After
string
nullable
Fields
Array<object>
nullable

Board data field before/after value in board item audit.

object
FieldId
string
nullable
Name
string
nullable
DisplayName
string
nullable
ValueType
string
nullable
Before
object
After
object
BeforeDisplay
object
AfterDisplay
object
TagsChanged

Payload for board process tag changes.

object
Added
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
Updated
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
Removed
Array<object>
nullable

Tag snapshot used by board item audit.

object
Id
string
nullable
TagName
string
nullable
Color
string
nullable
Category
string
nullable
ResponsibilitiesChanged

Payload for board item responsibility assignment changes.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
BeforeSubjects
Array<object>
nullable

Responsibility subject snapshot used by board item audit.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
AfterSubjects
Array<object>
nullable

Responsibility subject snapshot used by board item audit.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DueDateChanged

Payload for board item due-date changes.

object
BeforeDueAtUtc
string format: date-time
nullable
AfterDueAtUtc
string format: date-time
nullable
ItemLinkChanged

Payload for board item link create and close audit entries.

object
BoardItemLinkId
string
nullable
BoardItemLinkTypeId
string
nullable
LinkType
integer format: int32
Allowed values: 0 1
SourceBoardItemId
string
nullable
TargetBoardItemId
string
nullable
Direction
integer format: int32
Allowed values: 0 1
CycleAssigned

Payload for board item cycle assignment audit entries.

object
PreviousBoardCycleId
string
nullable
BoardCycleId
string
nullable
ChangeReason
string
nullable
BulkOperationId
string
nullable
Removed

Payload for board item removal audit entries.

object
BoardStatusId
string
nullable
BoardCycleId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
RemoveReason
string
nullable
RemovedBoardItemLinkIds
Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"ActivityKind": 0,
"ResponsibilitiesChanged": {
"ResponsibilityKind": 0,
"BeforeSubjects": [
{
"SubjectType": 0
}
],
"AfterSubjects": [
{
"SubjectType": 0
}
]
},
"ItemLinkChanged": {
"LinkType": 0,
"Direction": 0
}
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}